#
# spec file for package yast2-agent-audio (Version 2.4.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  alsa alsa-devel autoconf automake gpp libgpp libscr libscr-devel liby2 liby2-devel libycp libycp-devel ydoc
# usedforbuild    aaa_base aaa_dir alsa alsa-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libscr libscr-devel libtool liby2 liby2-devel libycp libycp-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim ydoc

Name:         yast2-agent-audio
Copyright:	(c) 2000 SuSE GmbH
Group:		System Environment/YaST
Summary:      YaST2-SCR: Agent for accesing sound cards from YaST2 sound module
Version:      2.4.3
Release:      54
Source0:	yast2-agent-audio-2.4.3.tar.bz2

%description
This package contains the interface for the YaST2-SCR system for accessing the sound cards. Provides volume setting and sound card/channels listing.

Authors:
--------
    Daniel Meszaros <dmeszar@suse.cz> 
    Michal Svec <msvec@suse.cz> 
    

SuSE series: yast

%package devel
Version:      2.4.3
Release:      54
Summary:      Agent for accesing sound cards from YaST2 sound module
Group:		Development/Libraries
Provides:	y2a_audio
Obsoletes:	y2a_audio

%description devel
YaST2 agent for accessing sound cards. Provides volume setting and sound card/channels listing.

Authors:
--------
    Dan Meszaros <dmeszar@suse.cz> 
    Michal Svec <msvec@suse.cz>

SuSE series: yast

%prep
%setup -n yast2-agent-audio-2.4.3

%build
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure
make

%install
make install-strip
strip --strip-debug /usr/lib/YaST2/plugin/libpy2ag_audio.so.2.0.0

%files
%dir /usr/lib/YaST2/plugin
/usr/lib/YaST2/plugin/libpy2ag_audio.so.*
%dir /usr/lib/YaST2/scrconf
/usr/lib/YaST2/scrconf/*.scr

%files devel
%dir /usr/lib/YaST2/plugin
/usr/lib/YaST2/plugin/libpy2ag_audio.so
/usr/lib/YaST2/plugin/libpy2ag_audio.la
%dir /usr/share/doc/packages/yast2-agent-audio
/usr/share/doc/packages/yast2-agent-audio/*

%changelog -n yast2-agent-audio
* Fri Aug 31 2001 - dmeszar@suse.cz
- debug logging supressed
* Fri Aug 24 2001 - dmeszar@suse.cz
- don't compile with alsa on sparc & s390
- conversion from double to int fixed
* Thu Jul 26 2001 - dmeszar@suse.cz
- fix for gcc 3.0
* Mon Jul 23 2001 - dmeszar@suse.cz
- initial version
